Package com.ocient.jdbc.proto

# Class PlanProtocol.ModifySchemaOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.ModifySchemaOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.ModifySchemaOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.ModifySchemaOperator

    public static final class PlanProtocol.ModifySchemaOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>
    implements PlanProtocol.ModifySchemaOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.ModifySchemaOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllExceptionColumns​(Iterable<String> values)` | `repeated string exceptionColumns = 7;`
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllExpressionNullable​(Iterable<? extends Boolean> values)` | Whether or not the expressions are nullable
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllExpressions​(Iterable<? extends PlanProtocol.PostfixExpression> values)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllExtendNames​(Iterable<String> values)` | The names for the result of each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllExtendTypes​(Iterable<String> values)` | The result data type for each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllGetRidOfExtends​(Iterable<? extends Long> values)` | the extendedt columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `addAllGetRidOfInputs​(Iterable<? extends Long> values)` | the input columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `addExceptionColumns​(String value)` | `repeated string exceptionColumns = 7;`
`PlanProtocol.ModifySchemaOperator.Builder` | `addExceptionColumnsBytes​(com.google.protobuf.ByteString value)` | `repeated string exceptionColumns = 7;`
`PlanProtocol.ModifySchemaOperator.Builder` | `addExpressionNullable​(boolean value)` | Whether or not the expressions are nullable
`PlanProtocol.ModifySchemaOperator.Builder` | `addExpressions​(int index, PlanProtocol.PostfixExpression value)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `addExpressions​(int index, PlanProtocol.PostfixExpression.Builder builderForValue)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `addExpressions​(PlanProtocol.PostfixExpression value)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `addExpressions​(PlanProtocol.PostfixExpression.Builder builderForValue)` | The postfix expressions
`PlanProtocol.PostfixExpression.Builder` | `addExpressionsBuilder()` | The postfix expressions
`PlanProtocol.PostfixExpression.Builder` | `addExpressionsBuilder​(int index)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `addExtendNames​(String value)` | The names for the result of each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addExtendNamesBytes​(com.google.protobuf.ByteString value)` | The names for the result of each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addExtendTypes​(String value)` | The result data type for each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addExtendTypesBytes​(com.google.protobuf.ByteString value)` | The result data type for each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `addGetRidOfExtends​(long value)` | the extendedt columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `addGetRidOfInputs​(long value)` | the input columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ModifySchemaOperator` | `build()` |
`PlanProtocol.ModifySchemaOperator` | `buildPartial()` |
`PlanProtocol.ModifySchemaOperator.Builder` | `clear()` |
`PlanProtocol.ModifySchemaOperator.Builder` | `clearExceptionColumns()` | `repeated string exceptionColumns = 7;`
`PlanProtocol.ModifySchemaOperator.Builder` | `clearExpressionNullable()` | Whether or not the expressions are nullable
`PlanProtocol.ModifySchemaOperator.Builder` | `clearExpressions()` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `clearExtendNames()` | The names for the result of each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `clearExtendTypes()` | The result data type for each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `clearGetRidOfExtends()` | the extendedt columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `clearGetRidOfInputs()` | the input columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `clone()` |
`PlanProtocol.ModifySchemaOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`String` | `getExceptionColumns​(int index)` | `repeated string exceptionColumns = 7;`
`com.google.protobuf.ByteString` | `getExceptionColumnsBytes​(int index)` | `repeated string exceptionColumns = 7;`
`int` | `getExceptionColumnsCount()` | `repeated string exceptionColumns = 7;`
`com.google.protobuf.ProtocolStringList` | `getExceptionColumnsList()` | `repeated string exceptionColumns = 7;`
`boolean` | `getExpressionNullable​(int index)` | Whether or not the expressions are nullable
`int` | `getExpressionNullableCount()` | Whether or not the expressions are nullable
`List<Boolean>` | `getExpressionNullableList()` | Whether or not the expressions are nullable
`PlanProtocol.PostfixExpression` | `getExpressions​(int index)` | The postfix expressions
`PlanProtocol.PostfixExpression.Builder` | `getExpressionsBuilder​(int index)` | The postfix expressions
`List<PlanProtocol.PostfixExpression.Builder>` | `getExpressionsBuilderList()` | The postfix expressions
`int` | `getExpressionsCount()` | The postfix expressions
`List<PlanProtocol.PostfixExpression>` | `getExpressionsList()` | The postfix expressions
`PlanProtocol.PostfixExpressionOrBuilder` | `getExpressionsOrBuilder​(int index)` | The postfix expressions
`List<? extends PlanProtocol.PostfixExpressionOrBuilder>` | `getExpressionsOrBuilderList()` | The postfix expressions
`String` | `getExtendNames​(int index)` | The names for the result of each postfix expression
`com.google.protobuf.ByteString` | `getExtendNamesBytes​(int index)` | The names for the result of each postfix expression
`int` | `getExtendNamesCount()` | The names for the result of each postfix expression
`com.google.protobuf.ProtocolStringList` | `getExtendNamesList()` | The names for the result of each postfix expression
`String` | `getExtendTypes​(int index)` | The result data type for each postfix expression
`com.google.protobuf.ByteString` | `getExtendTypesBytes​(int index)` | The result data type for each postfix expression
`int` | `getExtendTypesCount()` | The result data type for each postfix expression
`com.google.protobuf.ProtocolStringList` | `getExtendTypesList()` | The result data type for each postfix expression
`long` | `getGetRidOfExtends​(int index)` | the extendedt columns being projected out
`int` | `getGetRidOfExtendsCount()` | the extendedt columns being projected out
`List<Long>` | `getGetRidOfExtendsList()` | the extendedt columns being projected out
`long` | `getGetRidOfInputs​(int index)` | the input columns being projected out
`int` | `getGetRidOfInputsCount()` | the input columns being projected out
`List<Long>` | `getGetRidOfInputsList()` | the input columns being projected out
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.ModifySchemaOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `mergeFrom​(PlanProtocol.ModifySchemaOperator other)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `removeExpressions​(int index)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `setExceptionColumns​(int index, String value)` | `repeated string exceptionColumns = 7;`
`PlanProtocol.ModifySchemaOperator.Builder` | `setExpressionNullable​(int index, boolean value)` | Whether or not the expressions are nullable
`PlanProtocol.ModifySchemaOperator.Builder` | `setExpressions​(int index, PlanProtocol.PostfixExpression value)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `setExpressions​(int index, PlanProtocol.PostfixExpression.Builder builderForValue)` | The postfix expressions
`PlanProtocol.ModifySchemaOperator.Builder` | `setExtendNames​(int index, String value)` | The names for the result of each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `setExtendTypes​(int index, String value)` | The result data type for each postfix expression
`PlanProtocol.ModifySchemaOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `setGetRidOfExtends​(int index, long value)` | the extendedt columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `setGetRidOfInputs​(int index, long value)` | the input columns being projected out
`PlanProtocol.ModifySchemaOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.ModifySchemaOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### clear

public PlanProtocol.ModifySchemaOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.ModifySchemaOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.ModifySchemaOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.ModifySchemaOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.ModifySchemaOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### setField

public PlanProtocol.ModifySchemaOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### clearField

public PlanProtocol.ModifySchemaOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### clearOneof

public PlanProtocol.ModifySchemaOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### setRepeatedField

public PlanProtocol.ModifySchemaOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### addRepeatedField

public PlanProtocol.ModifySchemaOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### mergeFrom

public PlanProtocol.ModifySchemaOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### mergeFrom

public PlanProtocol.ModifySchemaOperator.Builder mergeFrom​(PlanProtocol.ModifySchemaOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### mergeFrom

public PlanProtocol.ModifySchemaOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.ModifySchemaOperator.Builder>`
Throws:
  `IOException`

### getExtendNamesList

public com.google.protobuf.ProtocolStringList getExtendNamesList()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Specified by:
  `getExtendNamesList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendNamesCount

public int getExtendNamesCount()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Specified by:
  `getExtendNamesCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendNames

public String getExtendNames​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Specified by:
  `getExtendNames` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendNamesBytes

public com.google.protobuf.ByteString getExtendNamesBytes​(int index)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

Specified by:
  `getExtendNamesBytes` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setExtendNames

public PlanProtocol.ModifySchemaOperator.Builder setExtendNames​(int index, String value)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### addExtendNames

public PlanProtocol.ModifySchemaOperator.Builder addExtendNames​(String value)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### addAllExtendNames

public PlanProtocol.ModifySchemaOperator.Builder addAllExtendNames​(Iterable<String> values)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### clearExtendNames

public PlanProtocol.ModifySchemaOperator.Builder clearExtendNames()

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### addExtendNamesBytes

public PlanProtocol.ModifySchemaOperator.Builder addExtendNamesBytes​(com.google.protobuf.ByteString value)

    The names for the result of each postfix expression

`repeated string extendNames = 1;`

### getExpressionsList

public List<PlanProtocol.PostfixExpression> getExpressionsList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

Specified by:
  `getExpressionsList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExpressionsCount

public int getExpressionsCount()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

Specified by:
  `getExpressionsCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExpressions

public PlanProtocol.PostfixExpression getExpressions​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

Specified by:
  `getExpressions` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setExpressions

public PlanProtocol.ModifySchemaOperator.Builder setExpressions​(int index, PlanProtocol.PostfixExpression value)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### setExpressions

public PlanProtocol.ModifySchemaOperator.Builder setExpressions​(int index, PlanProtocol.PostfixExpression.Builder builderForValue)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addExpressions

public PlanProtocol.ModifySchemaOperator.Builder addExpressions​(PlanProtocol.PostfixExpression value)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addExpressions

public PlanProtocol.ModifySchemaOperator.Builder addExpressions​(int index, PlanProtocol.PostfixExpression value)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addExpressions

public PlanProtocol.ModifySchemaOperator.Builder addExpressions​(PlanProtocol.PostfixExpression.Builder builderForValue)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addExpressions

public PlanProtocol.ModifySchemaOperator.Builder addExpressions​(int index, PlanProtocol.PostfixExpression.Builder builderForValue)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addAllExpressions

public PlanProtocol.ModifySchemaOperator.Builder addAllExpressions​(Iterable<? extends PlanProtocol.PostfixExpression> values)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### clearExpressions

public PlanProtocol.ModifySchemaOperator.Builder clearExpressions()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### removeExpressions

public PlanProtocol.ModifySchemaOperator.Builder removeExpressions​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsBuilder

public PlanProtocol.PostfixExpression.Builder getExpressionsBuilder​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsOrBuilder

public PlanProtocol.PostfixExpressionOrBuilder getExpressionsOrBuilder​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

Specified by:
  `getExpressionsOrBuilder` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExpressionsOrBuilderList

public List<? extends PlanProtocol.PostfixExpressionOrBuilder> getExpressionsOrBuilderList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

Specified by:
  `getExpressionsOrBuilderList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### addExpressionsBuilder

public PlanProtocol.PostfixExpression.Builder addExpressionsBuilder()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### addExpressionsBuilder

public PlanProtocol.PostfixExpression.Builder addExpressionsBuilder​(int index)

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExpressionsBuilderList

public List<PlanProtocol.PostfixExpression.Builder> getExpressionsBuilderList()

    The postfix expressions

`repeated .xg.db.sqlPlans.PostfixExpression expressions = 2;`

### getExtendTypesList

public com.google.protobuf.ProtocolStringList getExtendTypesList()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Specified by:
  `getExtendTypesList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendTypesCount

public int getExtendTypesCount()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Specified by:
  `getExtendTypesCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendTypes

public String getExtendTypes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Specified by:
  `getExtendTypes` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExtendTypesBytes

public com.google.protobuf.ByteString getExtendTypesBytes​(int index)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

Specified by:
  `getExtendTypesBytes` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setExtendTypes

public PlanProtocol.ModifySchemaOperator.Builder setExtendTypes​(int index, String value)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### addExtendTypes

public PlanProtocol.ModifySchemaOperator.Builder addExtendTypes​(String value)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### addAllExtendTypes

public PlanProtocol.ModifySchemaOperator.Builder addAllExtendTypes​(Iterable<String> values)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### clearExtendTypes

public PlanProtocol.ModifySchemaOperator.Builder clearExtendTypes()

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### addExtendTypesBytes

public PlanProtocol.ModifySchemaOperator.Builder addExtendTypesBytes​(com.google.protobuf.ByteString value)

    The result data type for each postfix expression

`repeated string extendTypes = 3;`

### getExpressionNullableList

public List<Boolean> getExpressionNullableList()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Specified by:
  `getExpressionNullableList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExpressionNullableCount

public int getExpressionNullableCount()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Specified by:
  `getExpressionNullableCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExpressionNullable

public boolean getExpressionNullable​(int index)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

Specified by:
  `getExpressionNullable` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setExpressionNullable

public PlanProtocol.ModifySchemaOperator.Builder setExpressionNullable​(int index, boolean value)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### addExpressionNullable

public PlanProtocol.ModifySchemaOperator.Builder addExpressionNullable​(boolean value)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### addAllExpressionNullable

public PlanProtocol.ModifySchemaOperator.Builder addAllExpressionNullable​(Iterable<? extends Boolean> values)

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### clearExpressionNullable

public PlanProtocol.ModifySchemaOperator.Builder clearExpressionNullable()

    Whether or not the expressions are nullable

`repeated bool expressionNullable = 4;`

### getGetRidOfInputsList

public List<Long> getGetRidOfInputsList()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Specified by:
  `getGetRidOfInputsList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getGetRidOfInputsCount

public int getGetRidOfInputsCount()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Specified by:
  `getGetRidOfInputsCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getGetRidOfInputs

public long getGetRidOfInputs​(int index)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

Specified by:
  `getGetRidOfInputs` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setGetRidOfInputs

public PlanProtocol.ModifySchemaOperator.Builder setGetRidOfInputs​(int index, long value)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### addGetRidOfInputs

public PlanProtocol.ModifySchemaOperator.Builder addGetRidOfInputs​(long value)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### addAllGetRidOfInputs

public PlanProtocol.ModifySchemaOperator.Builder addAllGetRidOfInputs​(Iterable<? extends Long> values)

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### clearGetRidOfInputs

public PlanProtocol.ModifySchemaOperator.Builder clearGetRidOfInputs()

    the input columns being projected out

`repeated uint64 getRidOfInputs = 5;`

### getGetRidOfExtendsList

public List<Long> getGetRidOfExtendsList()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Specified by:
  `getGetRidOfExtendsList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getGetRidOfExtendsCount

public int getGetRidOfExtendsCount()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Specified by:
  `getGetRidOfExtendsCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getGetRidOfExtends

public long getGetRidOfExtends​(int index)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

Specified by:
  `getGetRidOfExtends` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setGetRidOfExtends

public PlanProtocol.ModifySchemaOperator.Builder setGetRidOfExtends​(int index, long value)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### addGetRidOfExtends

public PlanProtocol.ModifySchemaOperator.Builder addGetRidOfExtends​(long value)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### addAllGetRidOfExtends

public PlanProtocol.ModifySchemaOperator.Builder addAllGetRidOfExtends​(Iterable<? extends Long> values)

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### clearGetRidOfExtends

public PlanProtocol.ModifySchemaOperator.Builder clearGetRidOfExtends()

    the extendedt columns being projected out

`repeated uint64 getRidOfExtends = 6;`

### getExceptionColumnsList

public com.google.protobuf.ProtocolStringList getExceptionColumnsList()
`repeated string exceptionColumns = 7;`

Specified by:
  `getExceptionColumnsList` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExceptionColumnsCount

public int getExceptionColumnsCount()
`repeated string exceptionColumns = 7;`

Specified by:
  `getExceptionColumnsCount` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExceptionColumns

public String getExceptionColumns​(int index)
`repeated string exceptionColumns = 7;`

Specified by:
  `getExceptionColumns` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### getExceptionColumnsBytes

public com.google.protobuf.ByteString getExceptionColumnsBytes​(int index)
`repeated string exceptionColumns = 7;`

Specified by:
  `getExceptionColumnsBytes` in interface `PlanProtocol.ModifySchemaOperatorOrBuilder`

### setExceptionColumns

public PlanProtocol.ModifySchemaOperator.Builder setExceptionColumns​(int index, String value)
`repeated string exceptionColumns = 7;`

### addExceptionColumns

public PlanProtocol.ModifySchemaOperator.Builder addExceptionColumns​(String value)
`repeated string exceptionColumns = 7;`

### addAllExceptionColumns

public PlanProtocol.ModifySchemaOperator.Builder addAllExceptionColumns​(Iterable<String> values)
`repeated string exceptionColumns = 7;`

### clearExceptionColumns

public PlanProtocol.ModifySchemaOperator.Builder clearExceptionColumns()
`repeated string exceptionColumns = 7;`

### addExceptionColumnsBytes

public PlanProtocol.ModifySchemaOperator.Builder addExceptionColumnsBytes​(com.google.protobuf.ByteString value)
`repeated string exceptionColumns = 7;`

### setUnknownFields

public final PlanProtocol.ModifySchemaOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.ModifySchemaOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.ModifySchemaOperator.Builder>`